Case inquiry
- Endpoint:
POST /delSuffixStart16 - Tags: Chargeback
Description
Note that the request address does not contain the interface description in brackets
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
sign | header | string | Yes |
Parameter Examples
sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
version | string | Yes | maxLength: 8 | API version. Current value: 1.0 | |
spMerchantNo | string | No | maxLength: 64 | 010229810189302 | |
merchantNo | string | Yes | maxLength: 15 | 010229810189301 | |
bizType | string | Yes | maxLength: 32 | value is:caseSearch | |
caseId | string | Yes | maxLength: 64 | O20211118090801 |
Example
json
{
"version": "1.0",
"merchantNo": "SP100860372",
"bizType": "caseSearch",
"spMerchantNo": "",
"caseId": "O20230103065545916437107761"
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
msg | string | Yes | maxLength: 256 | Success. | |
code | string | Yes | maxLength: 32 | APPLY_SUCCESS | |
data | object | Yes | |||
data.amount | string | Yes | maxLength: 20 | 15.00 | |
data.retrievalDate | string | Yes | maxLength: 32 | 2022-01-22 | |
data.fee | string | Yes | maxLength: 20 | 10.00 | |
data.caseResult | string | No | maxLength: 32 | Merchant wins: WIN, merchant loses: FAI | |
data.batchId | string | No | maxLength: 64 | P20210702104937 | |
data.outUserId | string | Yes | maxLength: 64 | ZNW3e | |
data.tradeCreateTime | string | Yes | 2022-01-22T10:00:00.500+08:00 | ||
data.totalAmount | string | Yes | maxLength: 20 | 25.00 | |
data.caseId | string | Yes | maxLength: 64 | O20230427054733964285071978 | |
data.outTradeNo | string | Yes | maxLength: 64 | 20181112112606266846 | |
data.currency | string | No | maxLength: 3 | INR | |
data.tradeToken | string | Yes | maxLength: 64 | TOKEN202206210021173856 | |
data.status | string | Yes | maxLength: 32 | DISPUTE_INQUIRY | |
data.expirationDate | string | Yes | maxLength: 32 | 2022-01-22 |
Response Example
json
{
"msg": "Success.",
"code": "APPLY_SUCCESS",
"data": {
"amount": "5000.00",
"retrievalDate": "2023-02-13",
"fee": "5000.00",
"caseResult": "WIN",
"batchId": "",
"outUserId": "10042",
"tradeCreateTime": "2023-01-03T06:32:52.000Z",
"totalAmount": "10000.00",
"caseId": "O20230103065545916437107761",
"outTradeNo": "dev-RenshTest1672727570986",
"currency": "IDR",
"tradeToken": "TOKEN202301030004090328",
"status": "DISPUTE_INQUIRY",
"expirationDate": "2023-02-14"
}
}